package io.dekorate.halkyon.config;

import io.dekorate.project.Project;
import io.dekorate.halkyon.model.Type;
import io.dekorate.kubernetes.config.ConfigKey;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import java.lang.Object;
import java.lang.String;
import io.dekorate.kubernetes.config.Env;
import java.util.Map;

public class EditableLinkConfig extends LinkConfig implements io.dekorate.deps.kubernetes.api.builder.Editable<LinkConfigBuilder>{


    public EditableLinkConfig(){
            super();
    }
    public EditableLinkConfig(Project project,Map<ConfigKey,Object> attributes,String name,String componentName,Type type,String ref,io.dekorate.kubernetes.config.Env[] envs){
            super(project, attributes, name, componentName, type, ref, envs);
    }

    public LinkConfigBuilder edit(){
            return new LinkConfigBuilder(this);
    }




}
