package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableLink extends LinkFluentImpl<DoneableLink> implements Doneable<Link>{

    private final LinkBuilder builder;
    private final Function<Link,Link> function;

    public DoneableLink(Function<Link,Link> function){
            super();this.builder=new LinkBuilder(this);this.function=function;
    }
    public DoneableLink(Link item,Function<Link,Link> function){
            super(item);this.builder=new LinkBuilder(this, item);this.function=function;
    }
    public DoneableLink(Link item){
            super(item);this.builder=new LinkBuilder(this, item);this.function=new Function<Link, Link>() {
    public Link apply(Link item) {
        return item;
    }
}
;
    }

    public Link done(){
             return function.apply(builder.build());
    }




}
