package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableLinkList extends LinkListFluentImpl<DoneableLinkList> implements Doneable<LinkList>{

    private final LinkListBuilder builder;
    private final Function<LinkList,LinkList> function;

    public DoneableLinkList(Function<LinkList,LinkList> function){
            super();this.builder=new LinkListBuilder(this);this.function=function;
    }
    public DoneableLinkList(LinkList item,Function<LinkList,LinkList> function){
            super(item);this.builder=new LinkListBuilder(this, item);this.function=function;
    }
    public DoneableLinkList(LinkList item){
            super(item);this.builder=new LinkListBuilder(this, item);this.function=new Function<LinkList, LinkList>() {
    public LinkList apply(LinkList item) {
        return item;
    }
}
;
    }

    public LinkList done(){
             return function.apply(builder.build());
    }




}
