package io.dekorate.halkyon.config;

import io.dekorate.project.Project;
import io.dekorate.kubernetes.config.ConfigKey;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import io.dekorate.halkyon.model.DeploymentMode;
import java.lang.Object;
import java.lang.String;
import io.dekorate.kubernetes.config.Env;
import java.util.Map;

public class EditableComponentConfig extends ComponentConfig implements io.dekorate.deps.kubernetes.api.builder.Editable<ComponentConfigBuilder>{


    public EditableComponentConfig(){
            super();
    }
    public EditableComponentConfig(Project project,Map<ConfigKey,Object> attributes,String name,DeploymentMode deploymentMode,boolean exposeService,io.dekorate.kubernetes.config.Env[] envs,String buildType,String remote){
            super(project, attributes, name, deploymentMode, exposeService, envs, buildType, remote);
    }

    public ComponentConfigBuilder edit(){
            return new ComponentConfigBuilder(this);
    }




}
