package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableLinkSpec extends LinkSpecFluentImpl<DoneableLinkSpec> implements Doneable<LinkSpec>{

    private final LinkSpecBuilder builder;
    private final io.dekorate.deps.kubernetes.api.builder.Function<LinkSpec,LinkSpec> function;

    public DoneableLinkSpec(io.dekorate.deps.kubernetes.api.builder.Function<LinkSpec,LinkSpec> function){
            super();this.builder=new LinkSpecBuilder(this);this.function=function;
    }
    public DoneableLinkSpec(LinkSpec item,io.dekorate.deps.kubernetes.api.builder.Function<LinkSpec,LinkSpec> function){
            super(item);this.builder=new LinkSpecBuilder(this, item);this.function=function;
    }
    public DoneableLinkSpec(LinkSpec item){
            super(item);this.builder=new LinkSpecBuilder(this, item);this.function=new Function<LinkSpec, LinkSpec>() {
    public LinkSpec apply(LinkSpec item) {
        return item;
    }
}
;
    }

    public LinkSpec done(){
             return function.apply(builder.build());
    }




}
